Subject: Re: bug#3746: M-r in comint mode should use isearch

From: Juri Linkov <[email-masked]>
Date: Fri, 10 Jul 2009 01:16:20 +0300

> And depending on context doesn't necessarily mean fewer keystrokes
> (even though you never need to hit `C-u'): If the cursor is not in the
> right place for the particular behavior you want, then you must first
> move it there. I'm not sure that anything significant is gained by the
> approach you propose, except added complexity. `C-r' for history
> search and `C-u C-r' for normal search seems reasonable, to me.

Generally, using C-u to modify behavior is a good thing but not for C-r
since its C-u argument runs a regular expression search instead.

-- 
Juri Linkov
http://www.jurta.org/emacs/